package classes.holonControlUnit.messages;

import classes.Holon;
import classes.holonControlUnit.CommunicationModule.MessageType;

public class Message {

	private String sender;
	private String receiver;
	private MessageType type;
	private String body;
	
	public Message(String sender, String receiver, MessageType type, String body) {
		super();
		this.sender = sender;
		this.receiver = receiver;
		this.type = type;
		this.body = body;
	}

	@Override
	public String toString() {
		return "Message [sender=" + sender + ", receiver=" + receiver + ", type=" + type + ", body=" + body + "]";
	}

	public String getSender() {
		return sender;
	}

	public String getReceiver() {
		return receiver;
	}

	public MessageType getType() {
		return type;
	}

	public String getBody() {
		return body;
	}
	
}
